## org.apache.mahout.clustering.kmeans
Class EigenSeedGenerator

    java.lang.Object
      org.apache.mahout.clustering.kmeans.EigenSeedGenerator

    public final class EigenSeedGenerator

extends Object

Given an Input Path containing a `SequenceFile`, select k vectors and write them to the output file as a `Kluster` representing the initial centroid to use. The selection criterion is the rows with max value in that respective column

Field Summary
`static String` `K`

Method Summary
`static org.apache.hadoop.fs.Path` `buildFromEigens(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path input, org.apache.hadoop.fs.Path output, int k, DistanceMeasure measure)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### K

    public static final String K

See Also:
  Constant Field Values

Method Detail

### buildFromEigens

    public static org.apache.hadoop.fs.Path buildFromEigens(org.apache.hadoop.conf.Configuration conf,
                                                            org.apache.hadoop.fs.Path input,
                                                            org.apache.hadoop.fs.Path output,
                                                            int k,
                                                            DistanceMeasure measure)
                                                     throws IOException

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.